##############################################################################
#
# Copyright (c) 2002-2003 Ingeniweb SARL
#
##############################################################################

"""GrufSpaces product"""
import os


# Check if we have to be in debug mode
import Log
if os.path.isfile(os.path.abspath(os.path.dirname(__file__)) + '/debug.txt'):
    Log.LOG_LEVEL = Log.LOG_DEBUG
else:
    Log.LOG_LEVEL = Log.LOG_NOTICE

from Log import *
Log = Log
Log(LOG_NOTICE, "Starting %s at %d debug level" % (os.path.dirname(__file__), LOG_LEVEL, ))


# Retrieve version
if os.path.isfile(os.path.abspath(os.path.dirname(__file__)) + '/version.txt'):
    __version_file_ = open(os.path.abspath(os.path.dirname(__file__)) + '/version.txt', 'r', )
    version__ = __version_file_.read()[:-1]
else:
    version__ = "(UNKNOWN)"

from Products.CMFCore import CMFCorePermissions

grufspaces_prefs_configlet = {
    'id': 'grufspaces',
    'appId': "GrufSpaces",
    'name': 'GrufSpaces',
    'action': 'string:$portal_url/prefs_grufspaces_form',
    'category': 'Products',
    'permission': (CMFCorePermissions.ManagePortal,),
    'imageUrl': 'GroupSpace.gif',
    }

GroupSpace_addPermission = "GrufSpaces: Add GroupSpaces"
GroupSpace_editPermission = "GrufSpaces: Edit GroupSpaces"
GroupSpace_assignRolePermission = "GrufSpaces: Assign GroupSpace Roles"
GroupSpace_sendMailPermission = "GrufSpaces: Send Mail to GroupSpace Members"

