## Script (Python) "GroupSpace_email"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=emailbody=""
##title=Send email to group
##

member = container.portal_membership.getAuthenticatedMember()
from_email = member.getProperty('email')

to_emails_list = container.getGroupSpaceEmails(context, ['GroupMember'])

variables = { 'content_title' : context.Title(),
              'content_url'   : context.absolute_url(),
              'from_email'    : from_email,
            }

message="Email sent"
unsent_emails=[]
for email in to_emails_list:
    mail_text = container.GroupSpace_email_template(context, emailbody=emailbody, to_email=email, **variables)
    try:
        context.sendMail(mail_text)
    except:
        unsent_emails.append(email)

if unsent_emails:
    message = "Error sending messages"

return state.set(portal_status_message = message)
