## Controller Python Script "GroupSpace_roles"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=change_type,collab_role=None,member_ids=[],collabrole_assignments=[]
##title=Change assignment of users to collab roles
##

if same_type(member_ids,""):
    member_ids=[member_ids,]

if change_type == 'add':
    for member_id in member_ids:
        context.assignToCollabRole(collab_role,member_id)
elif change_type == 'remove':
    for asg in collabrole_assignments:
        userid, role = asg.split('/')
        context.removeFromCollabRole(role, userid)
else:
    raise ValueError, 'Illegal value of change_type parameter: %s' % change_type

from Products.CMFPlone import transaction_note
transaction_note('Modified role assignment in CollabSpace %s at %s' % (context.title_or_id(), context.absolute_url()))

return state.set(context=context, portal_status_message='Role assignment changed.')
